Package org.picocontainer.injectors

# Class AbstractInjector.NotConcreteRegistrationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.picocontainer.PicoException
org.picocontainer.PicoCompositionException
org.picocontainer.injectors.AbstractInjector.NotConcreteRegistrationException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `AbstractInjector<T>`

public static class AbstractInjector.NotConcreteRegistrationException extends PicoCompositionException

Author:
  Aslak Hellesoy
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NotConcreteRegistrationException(Class<?> componentImplementation)`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getComponentImplementation()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotConcreteRegistrationException

public NotConcreteRegistrationException(Class<?> componentImplementation)

## Method Details

### getComponentImplementation

public Class<?> getComponentImplementation()